> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Export settled transactions for paypoint

GET https://api-sandbox.payabli.com/api/Export/settlements/{format}/{entry}

Export a list of settled transactions for an entrypoint. Use filters to limit results.

Reference: https://docs.payabli.com/developers/api-reference/export/export-list-of-settled-transactions-for-entrypoint

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi
  version: 1.0.0
paths:
  /Export/settlements/{format}/{entry}:
    get:
      operationId: export-settlements
      summary: Export list of settled transactions for entrypoint
      description: >-
        Export a list of settled transactions for an entrypoint. Use filters to
        limit results.
      tags:
        - subpackage_export
      parameters:
        - name: format
          in: path
          description: 'Format for the export, either XLSX or CSV. '
          required: true
          schema:
            $ref: '#/components/schemas/type_export:ExportFormat1'
        - name: entry
          in: path
          description: >-
            The paypoint's entrypoint identifier. [Learn
            more](/developers/api-reference/api-overview#entrypoint-vs-entry)
          required: true
          schema:
            type: string
        - name: columnsExport
          in: query
          required: false
          schema:
            type: string
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            The number of records to return for the query. The maximum is 30,000
            records. When this parameter isn't sent, the API returns up to
            25,000 records.
          required: false
          schema:
            type: integer
            default: 25000
        - name: parameters
          in: query
          description: >-
            Collection of field names, conditions, and values used to filter the
            query 


            <Info>
              **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.**

              Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client.

              For example:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

              should become:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
            </Info>


            See [Filters and Conditions
            Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference)
            for help.


            List of field names accepted:

            - `settlementDate` (gt, ge, lt, le, eq, ne)

            - `transId` (ne, eq, ct, nct)

            - `gatewayTransId` (ne, eq, ct, nct)

            - `method` (in, nin, eq, ne)

            - `settledAmount` (gt, ge, lt, le, eq, ne)

            - `operation` (in, nin, eq, ne)

            - `source` (in, nin, eq, ne)

            - `batchNumber` (ct, nct, eq, ne)

            - `payaccountLastfour` (nct, ct)

            - `payaccountType` (ne, eq, in, nin)

            - `customerFirstname` (ct, nct, eq, ne)

            - `customerLastname` (ct, nct, eq, ne)

            - `customerName` (ct, nct)

            - `customerId` (eq, ne)

            - `customerNumber` (ct, nct, eq, ne)

            - `customerCompanyname` (ct, nct, eq, ne)

            - `customerAddress` (ct, nct, eq, ne)

            - `customerCity` (ct, nct, eq, ne)

            - `customerZip` (ct, nct, eq, ne)

            - `customerState` (ct, nct, eq, ne)

            - `customerCountry` (ct, nct, eq, ne)

            - `customerPhone` (ct, nct, eq, ne)

            - `customerEmail` (ct, nct, eq, ne)

            - `customerShippingAddress` (ct, nct, eq, ne)

            - `customerShippingCity` (ct, nct, eq, ne)

            - `customerShippingZip` (ct, nct, eq, ne)

            - `customerShippingState` (ct, nct, eq, ne)

            - `customerShippingCountry` (ct, nct, eq, ne)

            - `orgId` (eq) *mandatory when entry=org*

            - `paypointId` (ne, eq)

            - `paypointLegal` (ne, eq, ct, nct)

            - `paypointDba` (ne, eq, ct, nct)

            - `orgName` (ne, eq, ct, nct)

            - `additional-xxx` (ne, eq, ct, nct) where xxx is the additional
            field name


            List of comparison accepted - enclosed between parentheses:

            - eq or empty => equal

            - gt => greater than

            - ge => greater or equal

            - lt => less than

            - le => less or equal

            - ne => not equal

            - ct => contains

            - nct => not contains

            - in => inside array separated by "|"

            - nin => not inside array separated by "|"


            List of parameters accepted:

            - limitRecord: max number of records for query (default="20", "0" or
            negative value for all)

            - fromRecord: initial record in query


            Example: `settledAmount(gt)=20` returns all records with a
            `settledAmount` greater than 20.00
          required: false
          schema:
            type: object
            additionalProperties:
              type: string
        - name: requestToken
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:File'
        '400':
          description: Bad request/ invalid data
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal API Error
          content:
            application/json:
              schema:
                description: Any type
        '503':
          description: Database connection error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:PayabliApiResponse'
servers:
  - url: https://api-sandbox.payabli.com/api
  - url: https://api.payabli.com/api
components:
  schemas:
    type_export:ExportFormat1:
      type: string
      enum:
        - csv
        - xlsx
      title: ExportFormat1
    type_:File:
      type: object
      additionalProperties:
        description: Any type
      description: >-
        A file containing the response data, in the format specified in the
        request.
      title: File
    type_:IsSuccess:
      type: boolean
      description: >-
        Boolean indicating whether the operation was successful. A `true` value
        indicates success. A `false` value indicates failure.
      title: IsSuccess
    type_:Responsedata:
      type: object
      additionalProperties:
        description: Any type
      description: The object containing the response data.
      title: Responsedata
    type_:ResponseText:
      type: string
      description: 'Response text for operation: ''Success'' or ''Declined''.'
      title: ResponseText
    type_:PayabliApiResponse:
      type: object
      properties:
        isSuccess:
          $ref: '#/components/schemas/type_:IsSuccess'
        responseData:
          $ref: '#/components/schemas/type_:Responsedata'
        responseText:
          $ref: '#/components/schemas/type_:ResponseText'
      required:
        - responseText
      title: PayabliApiResponse
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: requestToken

```

## SDK Code Examples

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.export.exportSettlements("8cfec329267", "csv", {
        columnsExport: "BatchDate:Batch_Date,PaypointName:Legal_name",
        fromRecord: 251,
        limitRecord: 1000,
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.export.export_settlements(
    entry="8cfec329267",
    format="csv",
    columns_export="BatchDate:Batch_Date,PaypointName:Legal_name",
    from_record=251,
    limit_record=1000,
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiClient;
import io.github.payabli.api.resources.export.requests.ExportSettlementsRequest;
import io.github.payabli.api.resources.export.types.ExportFormat1;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiClient client = PayabliPayabliApiClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.export().exportSettlements(
            ExportFormat1.CSV,
            "8cfec329267",
            ExportSettlementsRequest
                .builder()
                .columnsExport("BatchDate:Batch_Date,PaypointName:Legal_name")
                .fromRecord(251)
                .limitRecord(1000)
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.export.export_settlements(
  entry: "8cfec329267",
  format: "csv",
  columns_export: "BatchDate:Batch_Date,PaypointName:Legal_name",
  from_record: 251,
  limit_record: 1000
)

```

```csharp
using PayabliPayabliApi;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Export.ExportSettlementsAsync(
            ExportFormat1.Csv,
            "8cfec329267",
            new ExportSettlementsRequest {
                ColumnsExport = "BatchDate:Batch_Date,PaypointName:Legal_name",
                FromRecord = 251,
                LimitRecord = 1000
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.ExportSettlementsRequest{
        ColumnsExport: payabli.String(
            "BatchDate:Batch_Date,PaypointName:Legal_name",
        ),
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            1000,
        ),
    }
    client.Export.ExportSettlements(
        context.TODO(),
        payabli.ExportFormat1Csv.Ptr(),
        "8cfec329267",
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Export\Types\ExportFormat1;
use Payabli\Export\Requests\ExportSettlementsRequest;

$client = new PayabliClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->export->exportSettlements(
    '8cfec329267',
    ExportFormat1::Csv->value,
    new ExportSettlementsRequest([
        'columnsExport' => 'BatchDate:Batch_Date,PaypointName:Legal_name',
        'fromRecord' => 251,
        'limitRecord' => 1000,
    ]),
);

```

```swift
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Export/settlements/csv/8cfec329267?columnsExport=BatchDate%3ABatch_Date%2CPaypointName%3ALegal_name&fromRecord=251&limitRecord=1000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```